Subject: [MBONED] Fwd: Re: [pim] PIM recharter

From: joel jaeggli <[email-masked]>
Date: Tue, 24 Feb 2015 06:36:26 -0800

Going on over in PIM

-------- Forwarded Message --------
Subject: Re: [pim] PIM recharter
Date: Mon, 23 Feb 2015 18:24:44 -0500
From: Tom Pusateri <[email-masked]>
To: Alia Atlas <[email-masked]>
CC: [email-masked], joel jaeggli <[email-masked]>, Brian Haberman
<[email-masked]>, Deborah Brungard ([email-masked])
<[email-masked]>

IP Multicast over 802.11 is inefficient and unreliable. I would like to
see at least one of the multicast working groups in the IETF have a
chartered item to work with the IEEE coordinating a solution to this
mess. Or at least a coordinated effort to state our dis-satisfaction
with the current mess and make a formal request to provide high
bandwidth, efficient multicast over 802.11 without sending unicast
copies to each group member. After all, it is a radio and it is being
broadcast…

Tom

> On Feb 23, 2015, at 3:41 PM, Alia Atlas <[email-masked]> wrote:
> 
> Hi PIM WG,
> 
> I have discussed what a new charter for PIM should look like with the WG chairs.  I did consider working on changing the name or possibly merging with MBONED, but have decided against either of these at this time.  For the latter, I heard a strong preference from several for a protocols group and an operations group.  I did hear some support for merging as well.
> 
> This is the basic charter that I'd like to submit for internal review on March 5.  Please send comments to the list this week.
> 
> ===============
> The PIM working group, so named because its scope was initially only
> Protocol Independent Multicast (PIM), is chartered to work on multiple
> multicast protocols.  The Working Group is responsible for the
> maintenance of PIM, IGMP, and MLD.
> 
> The Working Group will work on the following specific items:
> 
> 1) Management for PIM:  YANG models for PIM, IGMP, and MLD will be
>    developed.  If updates to existing MIB modules are necessary, the
>    WG may work on those.
> 
> 2) Reliable PIM:  The WG will develop mechanisms to improve the reliability
>    of PIM signaling.
> 
> 3) Improve PIM authentication: The WG will work on improvements to PIM
>    authentication.
> 
> 4) Improve and Extend PIM Join Attributes to support different types
>    of multicast applications.
> 
> 5) Optimization approaches for IGMP and MLD to adapt to link
>    conditions in wireless and mobile networks and be more robust to
>    packet loss.
> 
> Additional work items may be added with a recharter.
> 
> The WG should discuss and develop new ideas related to multicast
> protocols and distributing of multicast-related information.  The WG must
> be explicitly rechartered to adopt any.
> 
> The WG should investigate any extensions needed to support BIER and
> BIER interworking.  If additional work is required, then the WG may be
> rechartered to accomplish the specific extensions.
> 
> The WG is expected to use its extensive multicast knowledge to
> actively review and participate in WG Last Calls with multicast work
> that occurs in other WGs, such as MPLS, BESS, ROLL, and BIER.
> ============
> 
> 
> Thanks,
> Alia
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim